// ContinuousTimeMonteCarloMover.h: interface for the ContinuousTimeMonteCarloMover class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONTINUOUSTIMEMONTECARLOMOVER_H__CB901342_BF8B_4F30_9B07_E122969B3332__INCLUDED_)
#define AFX_CONTINUOUSTIMEMONTECARLOMOVER_H__CB901342_BF8B_4F30_9B07_E122969B3332__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ReactionMover.h"
#include "Rand.h"

class CContinuousTimeMonteCarloMover : public CReactionMover  
{
public:
	CContinuousTimeMonteCarloMover();
	CContinuousTimeMonteCarloMover(int seed, double frequency);
	virtual ~CContinuousTimeMonteCarloMover();
	void Move(double xInitial, double xFinal, ReactionNetwork *pReactionNetwork);
	double ChooseMove(double rand1, double rand2);
	void DoMove();
private:
	Rand *m_pRNG;
	int m_dChannelChosen;
};

#endif // !defined(AFX_CONTINUOUSTIMEMONTECARLOMOVER_H__CB901342_BF8B_4F30_9B07_E122969B3332__INCLUDED_)
