// DataPoint.cpp: implementation of the DataPoint class.
//
//////////////////////////////////////////////////////////////////////

#include "DataPoint.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

DataPoint::DataPoint(double time, double datum, double error) 
{
	this->time = time;
	this->datum = datum;
	this->error = error;
}

DataPoint::~DataPoint()
{

}

void DataPoint::RescaleTime(double scaleFac)
{
	time = scaleFac*time;
}

void DataPoint::RescaleDatum(double scaleFac)
{
	datum = scaleFac*datum;
}

void DataPoint::RescaleError(double	scaleFac)
{
	error = scaleFac*error;
}
