// HomodimerizationReaction.h: interface for the HomodimerizationReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HOMODIMERIZATIONREACTION_H__D27677EC_9550_46EB_AAA8_3E9BD1D86253__INCLUDED_)
#define AFX_HOMODIMERIZATIONREACTION_H__D27677EC_9550_46EB_AAA8_3E9BD1D86253__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Reaction.h"

class HomodimerizationReaction : public Reaction  
{
public:
	HomodimerizationReaction(Chemical *Monomer, Chemical *Homodimer, RateConstant *k_dim, std::string reactionName);
	virtual ~HomodimerizationReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_dim;
	int Monomer, Homodimer;
};

#endif // !defined(AFX_HOMODIMERIZATIONREACTION_H__D27677EC_9550_46EB_AAA8_3E9BD1D86253__INCLUDED_)
