// LogParameterFilter.cpp: implementation of the CLogParameterFilter class.
//
//////////////////////////////////////////////////////////////////////

#include "LogParameterFilter.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CLogParameterFilter::CLogParameterFilter()
{

}

CLogParameterFilter::~CLogParameterFilter()
{

}

double CLogParameterFilter::Operator(double operand)
{
	if(operand <= 0.0)
	{
		throw std::runtime_error("ERROR: Log of negative number.");
	}
	else
	{
		return log(operand);
	}
}

double CLogParameterFilter::OperatorInverse(double operand)
{
	return exp(operand);
}
