// MatrixOperations.h: interface for the CMatrixOperations class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MATRIXOPERATIONS_H__1AAEB2A1_F345_46A4_AEA9_913C117EEC99__INCLUDED_)
#define AFX_MATRIXOPERATIONS_H__1AAEB2A1_F345_46A4_AEA9_913C117EEC99__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <cmath>
#include <stdlib.h>

class CMatrixOperations  
{
public:
	CMatrixOperations();
	virtual ~CMatrixOperations();
	virtual double DotProduct(double* v1, double* v2, int size);
	virtual double VectorL2Norm(double *v, int size);
	virtual void ElementCopy(double *vsource, double *vtarget, int size);
	virtual void RescaleVector(double *v, double scale, int size);
	virtual void TwoVectorLC(double a, double *x, double b, double *y, double *z, int size);
	virtual double VectorSupNorm(double *v, int size);
};

#endif // !defined(AFX_MATRIXOPERATIONS_H__1AAEB2A1_F345_46A4_AEA9_913C117EEC99__INCLUDED_)
