// Minimizer.h: interface for the Minimizer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef MINIMIZER_H
#define MINIMIZER_H

#ifndef SWIG
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#endif // SWIG

#include "Minimizable.h"
#include "SubjectObserver.h"

class Minimizer : public Subject 
{
public:
	Minimizer();
	virtual ~Minimizer();
	virtual double Minimize(double *parameters,Minimizable *minimizable)=0;
protected:
	int nParameters;
};


#endif // !defined(MINIMIZER_H)
