// OneGeneInhibitoryNetwork.h: interface for the OneGeneInhibitoryNetwork class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ONEGENEINHIBITORYNETWORK_H__24FE5B19_EA38_11D3_807F_00A0C9B3BAEA__INCLUDED_)
#define AFX_ONEGENEINHIBITORYNETWORK_H__24FE5B19_EA38_11D3_807F_00A0C9B3BAEA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ReactionNetwork.h"
#include "PromoterBindingReaction.h"
#include "PromoterUnbindingReaction.h"
#include "TranscriptionReaction.h"
#include "RNADegradationReaction.h"
#include "ProteinTranslationReaction.h"
#include "UnstableProteinDegradationReaction.h"

class OneGeneInhibitoryNetwork : public ReactionNetwork 
{
public:
	OneGeneInhibitoryNetwork();
	virtual ~OneGeneInhibitoryNetwork();
	bool GetLRGraph() {return true;}
};

#endif // !defined(AFX_ONEGENEINHIBITORYNETWORK_H__24FE5B19_EA38_11D3_807F_00A0C9B3BAEA__INCLUDED_)
