// ParameterFilter.cpp: implementation of the CParameterFilter class.
//
//////////////////////////////////////////////////////////////////////

#include "ParameterFilter.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CParameterFilter::CParameterFilter()
{

}

CParameterFilter::~CParameterFilter()
{

}

void CParameterFilter::ForwardTransformation(double *parameters, int nParameters)
{
	for(int i = 0; i < nParameters; i++)
	{
		parameters[i] = this->Operator(parameters[i]);
	}
}

void CParameterFilter::BackwardTransformation(double *parameters, int nParameters)
{
	for(int i = 0; i < nParameters; i++)
	{
		parameters[i] = this->OperatorInverse(parameters[i]);
	}
}