// ParameterReader.h: interface for the ParameterReader class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARAMETERREADER_H__AA24367A_8A38_42D9_9187_BAF643A4381F__INCLUDED_)
#define AFX_PARAMETERREADER_H__AA24367A_8A38_42D9_9187_BAF643A4381F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <fstream.h>
#include <assert.h>
#include <strstrea.h>
#include <string>


class ParameterReader  
{
public:
	ParameterReader(std::string fileName, char commentChar='#');
	virtual ~ParameterReader();
	virtual double ReadParameter();
	virtual void Reset();
	virtual bool IsFileGood();
private:
	// lines beginning with this character are not read
	char _commentChar;
	char _lineBuffer[1000];
	ifstream _parameterFileStream;
};

#endif // !defined(AFX_PARAMETERREADER_H__AA24367A_8A38_42D9_9187_BAF643A4381F__INCLUDED_)
