// ReceptorBindingReaction.h: interface for the ReceptorBindingReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RECEPTORBINDINGREACTION_H__7CCDEC1A_AFF9_447B_B152_7ECB845E91A3__INCLUDED_)
#define AFX_RECEPTORBINDINGREACTION_H__7CCDEC1A_AFF9_447B_B152_7ECB845E91A3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HeterodimerizationReaction.h"

class ReceptorBindingReaction : public HeterodimerizationReaction  
{
public:
	ReceptorBindingReaction(Chemical *ActivatingLigand, Chemical *FreeReceptor, Chemical *BoundReceptor, RateConstant *k_b, std::string reactionName);
	virtual ~ReceptorBindingReaction();

};

#endif // !defined(AFX_RECEPTORBINDINGREACTION_H__7CCDEC1A_AFF9_447B_B152_7ECB845E91A3__INCLUDED_)
