// ReceptorUnbindingReaction.h: interface for the ReceptorUnbindingReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RECEPTORUNBINDINGREACTION_H__110E471B_559B_43E2_8831_56639F2E9BF3__INCLUDED_)
#define AFX_RECEPTORUNBINDINGREACTION_H__110E471B_559B_43E2_8831_56639F2E9BF3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HeterodimerDissociationReaction.h"

class ReceptorUnbindingReaction : public HeterodimerDissociationReaction  
{
public:
	ReceptorUnbindingReaction(Chemical *BoundReceptor, Chemical *FreeReceptor, Chemical *ActivatingLigand, RateConstant *k_ru, std::string reactionName);
	virtual ~ReceptorUnbindingReaction();

};

#endif // !defined(AFX_RECEPTORUNBINDINGREACTION_H__110E471B_559B_43E2_8831_56639F2E9BF3__INCLUDED_)
