// SumChemical.h: interface for the CSumChemical class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SUMCHEMICAL_H__223D15A1_8143_4F76_BB3C_4E74EACDDA3F__INCLUDED_)
#define AFX_SUMCHEMICAL_H__223D15A1_8143_4F76_BB3C_4E74EACDDA3F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <cmath>
#include "..\SRC\AlgebraicChemical.h"

class CSumChemical : public CAlgebraicChemical  
{
public:
	CSumChemical(int chemicalNumber, std::string name, std::vector<Chemical *> chemRefVector);
	virtual ~CSumChemical();
protected:
	void ComputeAmount();
	void ComputeInitialAmount();
	void ComputeErrorInInitialAmount();
};

#endif // !defined(AFX_SUMCHEMICAL_H__223D15A1_8143_4F76_BB3C_4E74EACDDA3F__INCLUDED_)
