// TransformationReaction.h: interface for the TransformationReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRANSFORMATIONREACTION_H__8230CA83_A9F5_41A0_A1D9_176E69543771__INCLUDED_)
#define AFX_TRANSFORMATIONREACTION_H__8230CA83_A9F5_41A0_A1D9_176E69543771__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Reaction.h"

class TransformationReaction : public Reaction  
{
public:
	TransformationReaction(Chemical *OldForm, Chemical *NewForm, RateConstant *k_trans, std::string reactionName);
	virtual ~TransformationReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_trans;
	int OldForm,NewForm;

};

#endif // !defined(AFX_TRANSFORMATIONREACTION_H__8230CA83_A9F5_41A0_A1D9_176E69543771__INCLUDED_)
