#pragma once
#include "../src_temp/RunDirector.h"

class CBinaryNetworkDataRelation
{
public:
	CBinaryNetworkDataRelation(void);
	virtual ~CBinaryNetworkDataRelation(void);
	CBinaryNetworkDataRelation(int r1, int q1, int t1, int r2, int q2, int t2, char type);
	double Evaluate(CRunDirector *pDirector);
	int GetR1() const {return m_iR1;}
	int GetR2() const {return m_iR2;}
	int GetQ1() const {return m_iQ1;}
	int GetQ2() const {return m_iQ2;}
	int Gett1() const {return m_it1;}
	int Gett2() const {return m_it2;}
	char GetType() const {return m_cType;}
private:
	int m_iR1;
	int m_iR2;
	int m_iQ1;
	int m_iQ2;
	int m_it1;
	int m_it2;
	char m_cType;
};
