// CombinatorialNetworkMinimizableDirector.h: interface for the CCombinatorialNetworkMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMBINATORIALNETWORKMINIMIZABLEDIRECTOR_H__397DC307_946E_484A_BDB9_35FBD765F55D__INCLUDED_)
#define AFX_COMBINATORIALNETWORKMINIMIZABLEDIRECTOR_H__397DC307_946E_484A_BDB9_35FBD765F55D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src/NetworkMinimizableDirector.h"
#include "CombinatorialNetwork.h"
#include "../src/QualityControlCashKarpMover.h"
#include "../src/Experiment.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"

class CCombinatorialNetworkMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CCombinatorialNetworkMinimizableDirector();
	virtual ~CCombinatorialNetworkMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;
};

#endif // !defined(AFX_COMBINATORIALNETWORKMINIMIZABLEDIRECTOR_H__397DC307_946E_484A_BDB9_35FBD765F55D__INCLUDED_)
