// ConstantSinkReaction.h: interface for the CConstantSinkReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONSTANTSINKREACTION_H__33151108_159D_41D6_9C6A_228B81784DAC__INCLUDED_)
#define AFX_CONSTANTSINKREACTION_H__33151108_159D_41D6_9C6A_228B81784DAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\Reaction.h"

class CConstantSinkReaction : public Reaction  
{
public:
	CConstantSinkReaction(Chemical *ChangedChemical, RateConstant *k_sink, std::string reactionName);
	virtual ~CConstantSinkReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_sink;
	int ChangedChemical;
};

#endif // !defined(AFX_CONSTANTSINKREACTION_H__33151108_159D_41D6_9C6A_228B81784DAC__INCLUDED_)
