// EGFRTraffickingNIH3T3MinimizableDirector.h: interface for the CEGFRTraffickingNIH3T3MinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EGFRTRAFFICKINGNIH3T3MINIMIZABLEDIRECTOR_H__22A99208_0CF4_4E46_8E2F_4F64AC42484E__INCLUDED_)
#define AFX_EGFRTRAFFICKINGNIH3T3MINIMIZABLEDIRECTOR_H__22A99208_0CF4_4E46_8E2F_4F64AC42484E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\NetworkMinimizableDirector.h"
#include "../src/NetworkMinimizableDirector.h"
#include "../src/Experiment.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "EGFRTraffickingNetwork.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src/QualityControlCashKarpMover.h"
#include "../src_ac/StiffBulirschStoerMover.h"

class CEGFRTraffickingNIH3T3MinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CEGFRTraffickingNIH3T3MinimizableDirector();
	virtual ~CEGFRTraffickingNIH3T3MinimizableDirector();
	double ComputeResiduals(double *parameters);
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;

};

#endif // !defined(AFX_EGFRTRAFFICKINGNIH3T3MINIMIZABLEDIRECTOR_H__22A99208_0CF4_4E46_8E2F_4F64AC42484E__INCLUDED_)
