// EGFRTraffickingPredictionNetwork.h: interface for the CEGFRTraffickingPredictionNetwork class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EGFRTRAFFICKINGPREDICTIONNETWORK_H__B13AAE02_DAE4_4706_B0BF_8B1EC1436643__INCLUDED_)
#define AFX_EGFRTRAFFICKINGPREDICTIONNETWORK_H__B13AAE02_DAE4_4706_B0BF_8B1EC1436643__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\src\SumChemical.h"
#include "..\SRC\ReactionNetwork.h"
#include "..\src\ReceptorBindingReaction.h"
#include "..\src\ReceptorUnbindingReaction.h"
#include "..\src\TransformationReaction.h"
#include "..\src\ChemicalTransportReaction.h"
#include "..\src\UnstableProteinDegradationReaction.h"
#include "..\src\MichaelisMentenPhosphorylationReaction.h"
#include "..\src\MichaelisMentenDephosphorylationReaction.h"
#include "..\src\MichaelisMentenGProteinActivationReaction.h"
#include "..\src\MichaelisMentenGProteinDeactivationReaction.h"
#include "..\src\MichaelisMentenProteinProteinActivationReaction.h"
#include "..\src\MichaelisMentenTransformationReaction.h"


class CEGFRTraffickingPredictionNetwork : public ReactionNetwork  
{
public:
	CEGFRTraffickingPredictionNetwork();
	virtual ~CEGFRTraffickingPredictionNetwork();

};

#endif // !defined(AFX_EGFRTRAFFICKINGPREDICTIONNETWORK_H__B13AAE02_DAE4_4706_B0BF_8B1EC1436643__INCLUDED_)
