// ExampleNetworkMinimizableDirector.h: interface for the CExampleNetworkMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXAMPLENETWORKMINIMIZABLEDIRECTOR_H__C168D194_71EE_46A4_A92D_3D0ABC5FD32C__INCLUDED_)
#define AFX_EXAMPLENETWORKMINIMIZABLEDIRECTOR_H__C168D194_71EE_46A4_A92D_3D0ABC5FD32C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\NetworkMinimizableDirector.h"
#include "..\src_ac\ExampleNetwork.h"
#include "..\src\QualityControlRungeKuttaMover.h"
#include "..\src\GnuPlotterTimeSeriesObserver.h"

class CExampleNetworkMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CExampleNetworkMinimizableDirector();
	virtual ~CExampleNetworkMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	// From pure virtual function in NetworkMinimizableDirector
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;
};

#endif // !defined(AFX_EXAMPLENETWORKMINIMIZABLEDIRECTOR_H__C168D194_71EE_46A4_A92D_3D0ABC5FD32C__INCLUDED_)
