// ForcingData.h: interface for the CForcingData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORCINGDATA_H__3FD28242_8564_4757_8702_9DB102619360__INCLUDED_)
#define AFX_FORCINGDATA_H__3FD28242_8564_4757_8702_9DB102619360__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ForceVectorPoint.h"
#include "../src/ReactionNetwork.h"
#include <string>
#include <algorithm>
#include <fstream.h>
#include <sstream>
#include <strstrea.h>
#include <assert.h>
#include <stdexcept>

class CForcingData  
{
public:
	CForcingData();
	virtual ~CForcingData();
	std::vector<CForceVectorPoint *> GetForcingVector() {return m_vpForcingVector;}
	void AttachNewForcingData(ReactionNetwork *reactionNetwork, std::string fileName);
	void SortForcingVector();	
	double GetNextForcingTime(double time);
	double GetLatestForcingTime();
private:
	std::vector<CForceVectorPoint *> m_vpForcingVector;
};

#endif // !defined(AFX_FORCINGDATA_H__3FD28242_8564_4757_8702_9DB102619360__INCLUDED_)
