// LaubLoomisDictyNetwork.h: interface for the CLaubLoomisDictyNetwork class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LAUBLOOMISDICTYNETWORK_H__6EBE9861_3769_4BA9_9BD5_EC5A5C9FD4B7__INCLUDED_)
#define AFX_LAUBLOOMISDICTYNETWORK_H__6EBE9861_3769_4BA9_9BD5_EC5A5C9FD4B7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\ReactionNetwork.h"
#include "..\src\UnstableProteinDegradationReaction.h"
#include "..\src\GenerationReaction.h"
#include "..\src\FirstOrderDestructionReaction.h"
#include "..\src_ac\ConstantSourceReaction.h"

class CLaubLoomisDictyNetwork : public ReactionNetwork  
{
public:
	CLaubLoomisDictyNetwork();
	virtual ~CLaubLoomisDictyNetwork();
	virtual int GetNTermsPerLine() {return 2;}

};

#endif // !defined(AFX_LAUBLOOMISDICTYNETWORK_H__6EBE9861_3769_4BA9_9BD5_EC5A5C9FD4B7__INCLUDED_)
