// MartielGoldbeterDictyNetwork.h: interface for the CMartielGoldbeterDictyNetwork class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MARTIELGOLDBETERDICTYNETWORK_H__842F4733_D56F_4171_88F6_1BEA99316D5A__INCLUDED_)
#define AFX_MARTIELGOLDBETERDICTYNETWORK_H__842F4733_D56F_4171_88F6_1BEA99316D5A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\ReactionNetwork.h"
#include "..\src\UnstableProteinDegradationReaction.h"
#include "..\src\TransformationReaction.h"
#include "..\src\HeterodimerizationReaction.h"
#include "..\src\HeterodimerDissociationReaction.h"
#include "..\src_ac\TrimerFormation.h"
#include "..\src_ac\TrimerDissociation.h"
#include "..\src\MichaelisMentenTransformationReaction.h"
#include "..\src\ChemicalTransportReaction.h"
#include "..\src_ac\ConstantSourceReaction.h"
#include "..\src\GenerationReaction.h"


class CMartielGoldbeterDictyNetwork : public ReactionNetwork  
{
public:
	CMartielGoldbeterDictyNetwork();
	virtual ~CMartielGoldbeterDictyNetwork();
	virtual int GetNTermsPerLine() {return 3;}

};

#endif // !defined(AFX_MARTIELGOLDBETERDICTYNETWORK_H__842F4733_D56F_4171_88F6_1BEA99316D5A__INCLUDED_)
