// MartielGoldbeterDictyNetworkMinimizableDirector.h: interface for the CMartielGoldbeterDictyNetworkMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MARTIELGOLDBETERDICTYNETWORKMINIMIZABLEDIRECTOR_H__48A7D947_8B48_4170_823C_F6938E5BFFEE__INCLUDED_)
#define AFX_MARTIELGOLDBETERDICTYNETWORKMINIMIZABLEDIRECTOR_H__48A7D947_8B48_4170_823C_F6938E5BFFEE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\NetworkMinimizableDirector.h"
#include "..\src\QualityControlCashKarpMover.h"
#include "..\src\GnuPlotterTimeSeriesObserver.h"
#include "..\src_ac\MartielGoldbeterDictyNetwork.h"

class CMartielGoldbeterDictyNetworkMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CMartielGoldbeterDictyNetworkMinimizableDirector();
	virtual ~CMartielGoldbeterDictyNetworkMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	// From pure virtual function in NetworkMinimizableDirector
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;

};

#endif // !defined(AFX_MARTIELGOLDBETERDICTYNETWORKMINIMIZABLEDIRECTOR_H__48A7D947_8B48_4170_823C_F6938E5BFFEE__INCLUDED_)
