// PC12EGFNGFMinimizableDirector.h: interface for the PC12EGFNGFMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PC12EGFNGFMINIMIZABLEDIRECTOR_H__562295FD_E5A9_4416_9ED7_3543CD693018__INCLUDED_)
#define AFX_PC12EGFNGFMINIMIZABLEDIRECTOR_H__562295FD_E5A9_4416_9ED7_3543CD693018__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src/NetworkMinimizableDirector.h"
#include "../src/Experiment.h"
#include "../src/SubjectObserver.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "../src/QualityControlRK2TMover.h"
#include "../src/RK2ExplicitEulerHybridMover.h"
#include "SmallErkSubnetwork.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src/QualityControlCashKarpMover.h"
#include "../src_temp/SynchronizedCashKarpMover.h"
#include "../src_temp/SynchronizedRungeKuttaMover.h"

class PC12EGFNGFMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	PC12EGFNGFMinimizableDirector();
	virtual ~PC12EGFNGFMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	// From pure virtual function in NetworkMinimizableDirector
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;
};

#endif // !defined(AFX_PC12EGFNGFMINIMIZABLEDIRECTOR_H__562295FD_E5A9_4416_9ED7_3543CD693018__INCLUDED_)
