// PC12ParameterTranslator.cpp: implementation of the CPC12ParameterTranslator class.
//
//////////////////////////////////////////////////////////////////////

#include "PC12ParameterTranslator.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPC12ParameterTranslator::CPC12ParameterTranslator()
{

}

CPC12ParameterTranslator::~CPC12ParameterTranslator()
{

}

void CPC12ParameterTranslator::OneToZero(double *p1, int n1, double *p0, int n0)
{
	for(int i = 0; i < 28; i++)
	{
		p0[i] = p1[i];
	}
	// try setting MM constants to nonzero values to avoid div. by zero
	p0[28] = 0.0;
	p0[29] = 1.0;
	p0[30] = 0.0;
	p0[31] = 1.0;
	p0[32] = 0.0;
	p0[33] = 1.0;
	p0[34] = 0.0;
	p0[35] = 1.0;
	/*
	for(i = 28; i < 36; i++)
	{
		p0[i] = 0.0;
	}
	*/
	for(i = 28; i < n1; i++)
	{
		p0[i+8] = p1[i];
	}
}

void CPC12ParameterTranslator::ZeroToOne(double *p0, int n0, double *p1, int n1)
{
	for(int i = 0; i < 28; i++)
	{
		p1[i] = p0[i];
	}
	for(i = 28; i < n1; i++)
	{
		p1[i] = p0[i+8];
	}
}