#pragma once
#include "../src/NetworkMinimizableDirector.h"
#include "../src/Experiment.h"
#include "../src/SubjectObserver.h"
#include "../src/RK2ExplicitEulerHybridMover.h"
#include "../src_ac/PC12RapMinusNetwork.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src/QualityControlCashKarpMover.h"

class CPC12RapMinusMinimizableDirector : public NetworkMinimizableDirector
{
public:
	CPC12RapMinusMinimizableDirector(void);
	virtual ~CPC12RapMinusMinimizableDirector(void);
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	// From pure virtual function in NetworkMinimizableDirector
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;
};
