// SmallErkSubnetwork.h: interface for the SmallErkSubnetwork class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SMALLERKSUBNETWORK_H__24FE5B1C_EA38_11D3_807F_00A0C9B3BAEA__INCLUDED_)
#define AFX_SMALLERKSUBNETWORK_H__24FE5B1C_EA38_11D3_807F_00A0C9B3BAEA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src/ReactionNetwork.h"
#include "../src/ReceptorBindingReaction.h"
#include "../src/ReceptorUnbindingReaction.h"
#include "../src/MichaelisMentenPhosphorylationReaction.h"
#include "../src/MichaelisMentenDephosphorylationReaction.h"
#include "../src/MichaelisMentenGProteinActivationReaction.h"
#include "../src/MichaelisMentenGProteinDeactivationReaction.h"
#include "../src/MichaelisMentenProteinProteinActivationReaction.h"
#include "../src/MichaelisMentenProteinProteinDeactivationReaction.h"


class SmallErkSubnetwork : public ReactionNetwork  
{
public:
	SmallErkSubnetwork();
	virtual ~SmallErkSubnetwork();
};

#endif // !defined(AFX_ERKSUBNETWORK_H__24FE5B1C_EA38_11D3_807F_00A0C9B3BAEA__INCLUDED_)
