// TauReaction.h: interface for the CTauReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TAUREACTION_H__653067BE_B9F1_4139_811F_A282E590AECF__INCLUDED_)
#define AFX_TAUREACTION_H__653067BE_B9F1_4139_811F_A282E590AECF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\Reaction.h"

class CTauReaction : public Reaction  
{
public:
	CTauReaction(Chemical *pTau);
	virtual ~CTauReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int Tau;
};

#endif // !defined(AFX_TAUREACTION_H__653067BE_B9F1_4139_811F_A282E590AECF__INCLUDED_)
