// EGFRTraffickingCHOMinimizableDirector.h: interface for the CEGFRTraffickingCHOMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EGFRTRAFFICKINGCHOMINIMIZABLEDIRECTOR_H__0AA9E01D_6908_4358_83BD_01C60D96FF5D__INCLUDED_)
#define AFX_EGFRTRAFFICKINGCHOMINIMIZABLEDIRECTOR_H__0AA9E01D_6908_4358_83BD_01C60D96FF5D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\NetworkMinimizableDirector.h"
#include "../src/NetworkMinimizableDirector.h"
#include "../src/Experiment.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "EGFRTraffickingNetwork.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src/QualityControlCashKarpMover.h"


class CEGFRTraffickingCHOMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CEGFRTraffickingCHOMinimizableDirector();
	virtual ~CEGFRTraffickingCHOMinimizableDirector();
	double ComputeResiduals(double *parameters);
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;

};

#endif // !defined(AFX_EGFRTRAFFICKINGCHOMINIMIZABLEDIRECTOR_H__0AA9E01D_6908_4358_83BD_01C60D96FF5D__INCLUDED_)
