// CommaStrategyOne.h: interface for the CCommaStrategyOne class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMMASTRATEGYONE_H__C2BC96DA_1AF9_4A0A_8AE4_4A4192939E00__INCLUDED_)
#define AFX_COMMASTRATEGYONE_H__C2BC96DA_1AF9_4A0A_8AE4_4A4192939E00__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC_TEMP\EvolutionStrategy.h"
#include <algorithm>

class CCommaStrategyOne : public CEvolutionStrategy  
{
public:
	CCommaStrategyOne(CParameterFilter *pFilter);
	CCommaStrategyOne(CParameterFilter *pFilter, double sigma, int mu, int rho, int lambda, int nGenerations, int seed);
	virtual ~CCommaStrategyOne();
	void InitializePopulation(double *parameters);
	void SelectParents();
	void Mutation(int whichOffspring);
	void Recombination(int whichOffspring);
	void Select();
private:
	double m_dTau;
	double m_dTauPrime;
	double m_dInitialSigma;
};

#endif // !defined(AFX_COMMASTRATEGYONE_H__C2BC96DA_1AF9_4A0A_8AE4_4A4192939E00__INCLUDED_)
