// Director.h: interface for the CDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIRECTOR_H__5639716A_884D_41F6_9351_0A9376E9EC36__INCLUDED_)
#define AFX_DIRECTOR_H__5639716A_884D_41F6_9351_0A9376E9EC36__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src/typedefs.h"
#include "../src/SubjectObserver.h"

class CDirector  : public Subject
{
public:
	CDirector();
	virtual ~CDirector();
	virtual void Execute() = 0;
protected:
	vpReactionNetwork m_vpRxnNetworks;
	vpReactionMover m_vpRxnMovers; 
	vpCellAverageObserver m_vpCellObservers;
};

#endif // !defined(AFX_DIRECTOR_H__5639716A_884D_41F6_9351_0A9376E9EC36__INCLUDED_)
