// OneGeneInhibitoryAveragingDirector.h: interface for the COneGeneInhibitoryAveragingDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ONEGENEINHIBITORYAVERAGINGDIRECTOR_H__F7FEB783_2E07_4A6C_8731_C8BE3B560498__INCLUDED_)
#define AFX_ONEGENEINHIBITORYAVERAGINGDIRECTOR_H__F7FEB783_2E07_4A6C_8731_C8BE3B560498__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "RunDirector.h"
#include "../src/OneGeneInhibitoryNetwork.h"
#include "../src/GnuPlotterTrajectoryObserver.h"
#include "../src/ContinuousTimeMonteCarloMover.h"
#include "MixedReactionNetwork.h"
#include "MixedReactionMover.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "Runnable.h"

class COneGeneInhibitoryAveragingDirector : public CRunDirector  
{
public:
	COneGeneInhibitoryAveragingDirector();
	virtual ~COneGeneInhibitoryAveragingDirector();
	void Execute();
};

#endif // !defined(AFX_ONEGENEINHIBITORYAVERAGINGDIRECTOR_H__F7FEB783_2E07_4A6C_8731_C8BE3B560498__INCLUDED_)
