// OneGeneReplicaMinimizableDirector.h: interface for the COneGeneReplicaMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ONEGENEREPLICAMINIMIZABLEDIRECTOR_H__A2F1EDA2_9ED0_4884_8C18_452E9ADEA3A7__INCLUDED_)
#define AFX_ONEGENEREPLICAMINIMIZABLEDIRECTOR_H__A2F1EDA2_9ED0_4884_8C18_452E9ADEA3A7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC_TEMP\ReplicaMinimizableDirector.h"
#include "../src/OneGeneInhibitoryNetwork.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "../src/QualityControlCashKarpMover.h"
#include "../src/QualityControlRK2TMover.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src/RK2ExplicitEulerHybridMover.h"
#include "../src_temp/SynchronizedCashKarpMover.h"
#include "../src/RK2TMover.h"
#include "../src/RK4Mover.h"
#include "../src/Experiment.h"
#include "../src/typedefs.h"
#include "../src_temp/AlternateOneGeneInhibitoryNetwork.h"

class COneGeneReplicaMinimizableDirector : public CReplicaMinimizableDirector  
{
public:
	COneGeneReplicaMinimizableDirector(double epsSqr=0.1, double deltaSqr=0.1);
	virtual ~COneGeneReplicaMinimizableDirector();
private:
	void DefineExperiments();
protected:
	vpGnuPlotter m_vpPlotterList;
};

#endif // !defined(AFX_ONEGENEREPLICAMINIMIZABLEDIRECTOR_H__A2F1EDA2_9ED0_4884_8C18_452E9ADEA3A7__INCLUDED_)
