// ConcentrationObserver.h: interface for the ConcentrationObserver class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONCENTRATIONOBSERVER_H__B9E5989D_1D15_11D4_8691_00C04F608A48__INCLUDED_)
#define AFX_CONCENTRATIONOBSERVER_H__B9E5989D_1D15_11D4_8691_00C04F608A48__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SubjectObserver.h"

class ConcentrationObserver : public Observer
{
public:
	void ZeroConcentrations();
	ConcentrationObserver(int numberOfChemicals, int NumberOfTimeSteps);
	virtual ~ConcentrationObserver();
	void Update(Subject *theChangedSubject);

	const double **GetSummedConcentration() const {return (const double **)summedConcentration;}

private:
	int numberOfChemicals;
	int numberOfTimeSteps;
	double **summedConcentration;
};

#endif // !defined(AFX_CONCENTRATIONOBSERVER_H__B9E5989D_1D15_11D4_8691_00C04F608A48__INCLUDED_)
