// ConjugateGradientObserver.cpp: implementation of the ConjugateGradientObserver class.
//
//////////////////////////////////////////////////////////////////////

#include "ConjugateGradientObserver.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CConjugateGradientObserver::CConjugateGradientObserver()
{

}

CConjugateGradientObserver::~CConjugateGradientObserver()
{

}

// default behavior is to print plain text matrix seperated by single spaces

void CConjugateGradientObserver::Update(Subject *theChangedSubject)
{
	int i;
	int j;
	int NParameters;
	// static cast may be dangerous
	CConjugateGradientMinimizer *CGM = (CConjugateGradientMinimizer *)theChangedSubject;

	// write the experimental data to the temporary file
	fstream *forcefile = new fstream("ConjugateGradientForceVector.dat",ios::out);

	const double *m_pdForceVector = CGM->GetForceVector();
	NParameters = CGM->GetNParameters();
	for (i=0; i < NParameters; i++) {
		*forcefile << m_pdForceVector[i] << endl;
		//cout << CGM->GetForceVector()[i] << " ";
	}

	delete forcefile;

	return;

}
