// ConversionFactor.h: interface for the CConversionFactor class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONVERSIONFACTOR_H__161AE093_6022_4098_98EF_91CCF29C306B__INCLUDED_)
#define AFX_CONVERSIONFACTOR_H__161AE093_6022_4098_98EF_91CCF29C306B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CConversionFactor  
{
public:
	CConversionFactor();
	CConversionFactor(bool factorNeeded, bool factorFixed=false, double factorValue=1.0);
	virtual ~CConversionFactor();
	bool IsFactorNeeded() {return m_bFactorNeeded;}
	bool IsFactorFixed() {return m_bFactorFixed;}
	double GetFactorValue() {return m_dFactorValue;}
	void SetFactorNeeded(bool factorFlag) {m_bFactorNeeded = factorFlag;}
	void SetFactorFixed(bool factorFlag) {m_bFactorFixed = factorFlag;}
	void SetFactorValue(double factorValue) {m_dFactorValue = factorValue;}
private:
	bool m_bFactorNeeded;
	bool m_bFactorFixed;
	double m_dFactorValue;
};

#endif // !defined(AFX_CONVERSIONFACTOR_H__161AE093_6022_4098_98EF_91CCF29C306B__INCLUDED_)
