// FirstOrderDestructionReaction.h: interface for the CFirstOrderDestructionReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FIRSTORDERDESTRUCTIONREACTION_H__7BA438C2_D44A_4EE6_BAF5_9AA7DCEA861D__INCLUDED_)
#define AFX_FIRSTORDERDESTRUCTIONREACTION_H__7BA438C2_D44A_4EE6_BAF5_9AA7DCEA861D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\Reaction.h"

class CFirstOrderDestructionReaction : public Reaction  
{
public:
	CFirstOrderDestructionReaction(Chemical *DestroyingEnzyme, Chemical *Substrate, RateConstant *k_fod, std::string reactionName);
	virtual ~CFirstOrderDestructionReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_fod;
	int DestroyingEnzyme,Substrate;

};

#endif // !defined(AFX_FIRSTORDERDESTRUCTIONREACTION_H__7BA438C2_D44A_4EE6_BAF5_9AA7DCEA861D__INCLUDED_)
