// GenerationReaction.h: interface for the GenerationReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GENERATIONREACTION_H__8E07171D_AE7E_4340_9DEE_1669597D1414__INCLUDED_)
#define AFX_GENERATIONREACTION_H__8E07171D_AE7E_4340_9DEE_1669597D1414__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Reaction.h"

class GenerationReaction : public Reaction  
{
public:
	GenerationReaction(Chemical *Generator, Chemical *Product, RateConstant *k_g, std::string reactionName);
	virtual ~GenerationReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_g;
	int Generator,Product;
};

#endif // !defined(AFX_GENERATIONREACTION_H__8E07171D_AE7E_4340_9DEE_1669597D1414__INCLUDED_)
