// HeterodimerDissociationReaction.h: interface for the HeterodimerDissociationReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HETERODIMERDISSOCIATIONREACTION_H__BDB4110F_2A38_498F_9A3D_EDD02DEFC8A7__INCLUDED_)
#define AFX_HETERODIMERDISSOCIATIONREACTION_H__BDB4110F_2A38_498F_9A3D_EDD02DEFC8A7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Reaction.h"

class HeterodimerDissociationReaction : public Reaction  
{
public:
	HeterodimerDissociationReaction(Chemical *Heterodimer, Chemical *ReactantA, Chemical *ReactantB, RateConstant *k_udim, std::string reactionName);
	virtual ~HeterodimerDissociationReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_udim;
	int Heterodimer, ReactantA, ReactantB;
};

#endif // !defined(AFX_HETERODIMERDISSOCIATIONREACTION_H__BDB4110F_2A38_498F_9A3D_EDD02DEFC8A7__INCLUDED_)
