// HeterodimerizationReaction.h: interface for the HeterodimerizationReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HETERODIMERIZATIONREACTION_H__BC8DE5DC_C30B_4372_8668_DEC280E75FDA__INCLUDED_)
#define AFX_HETERODIMERIZATIONREACTION_H__BC8DE5DC_C30B_4372_8668_DEC280E75FDA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Reaction.h"

class HeterodimerizationReaction : public Reaction  
{
public:
	double GetRate() const;
	HeterodimerizationReaction(Chemical *ReactantA, Chemical *ReactantB, Chemical *Heterodimer, RateConstant *k_dim, std::string reactionName);
	virtual ~HeterodimerizationReaction();
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_dim;
	int ReactantA, ReactantB, Heterodimer;

};

#endif // !defined(AFX_HETERODIMERIZATIONREACTION_H__BC8DE5DC_C30B_4372_8668_DEC280E75FDA__INCLUDED_)
