// HomodimerDissociationReaction.h: interface for the HomodimerDissociationReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HOMODIMERDISSOCIATIONREACTION_H__C1540B3D_E2F8_4060_A600_73523C2E0DDF__INCLUDED_)
#define AFX_HOMODIMERDISSOCIATIONREACTION_H__C1540B3D_E2F8_4060_A600_73523C2E0DDF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Reaction.h"

class HomodimerDissociationReaction : public Reaction  
{
public:
	HomodimerDissociationReaction(Chemical *Homodimer, Chemical *Monomer, RateConstant *k_udim, std::string ReactionName);
	virtual ~HomodimerDissociationReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_udim;
	int Homodimer,Monomer;

};

#endif // !defined(AFX_HOMODIMERDISSOCIATIONREACTION_H__C1540B3D_E2F8_4060_A600_73523C2E0DDF__INCLUDED_)
