// LogChemical.h: interface for the CLogChemical class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LOGCHEMICAL_H__5E543E3E_912F_42AB_88E0_AF1FAC530CF5__INCLUDED_)
#define AFX_LOGCHEMICAL_H__5E543E3E_912F_42AB_88E0_AF1FAC530CF5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <cmath>
#include "..\SRC\AlgebraicChemical.h"

class CLogChemical : public CAlgebraicChemical  
{
public:
	CLogChemical(int chemicalNumber, std::string name, std::vector<Chemical *> chemRefVector);
	virtual ~CLogChemical();
protected:
	void ComputeAmount();
	void ComputeInitialAmount();
	void ComputeErrorInInitialAmount();
};

#endif // !defined(AFX_LOGCHEMICAL_H__5E543E3E_912F_42AB_88E0_AF1FAC530CF5__INCLUDED_)
