// MichaelisMentenDephosphorylationReaction.h: interface for the MichaelisMentenDephosphorylationReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MICHAELISMENTENDEPHOSPHORYLATIONREACTION_H__74F9EDFC_0B54_4871_8A60_C0BE535058AD__INCLUDED_)
#define AFX_MICHAELISMENTENDEPHOSPHORYLATIONREACTION_H__74F9EDFC_0B54_4871_8A60_C0BE535058AD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MichaelisMentenReaction.h"

class MichaelisMentenDephosphorylationReaction : public MichaelisMentenReaction  
{
public:
	MichaelisMentenDephosphorylationReaction(Chemical *Phosphatase, Chemical *ActiveSubstrate, Chemical *InactiveSubstrate, RateConstant *k_dphos, RateConstant *Km_dphos, std::string reactionName);
	virtual ~MichaelisMentenDephosphorylationReaction();

};

#endif // !defined(AFX_MICHAELISMENTENDEPHOSPHORYLATIONREACTION_H__74F9EDFC_0B54_4871_8A60_C0BE535058AD__INCLUDED_)
