// MichaelisMentenPhosphorylationReaction.h: interface for the MichaelisMentenPhosphorylationReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MICHAELISMENTENPHOSPHORYLATIONREACTION_H__68798169_3748_459E_985A_E7A2839FA228__INCLUDED_)
#define AFX_MICHAELISMENTENPHOSPHORYLATIONREACTION_H__68798169_3748_459E_985A_E7A2839FA228__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MichaelisMentenReaction.h"

class MichaelisMentenPhosphorylationReaction : public MichaelisMentenReaction  
{
public:
	MichaelisMentenPhosphorylationReaction(Chemical *Kinase, Chemical *InactiveSubstrate, Chemical *ActiveSubstrate, RateConstant *k_phos, RateConstant *Km_phos, std::string reactionName);
	virtual ~MichaelisMentenPhosphorylationReaction();

};

#endif // !defined(AFX_MICHAELISMENTENPHOSPHORYLATIONREACTION_H__68798169_3748_459E_985A_E7A2839FA228__INCLUDED_)
