// ParameterFilter.h: interface for the CParameterFilter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARAMETERFILTER_H__D1090E8B_3BE2_4921_8675_A20E94462AAC__INCLUDED_)
#define AFX_PARAMETERFILTER_H__D1090E8B_3BE2_4921_8675_A20E94462AAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <cmath>
#include <stdexcept>

class CParameterFilter  
{
public:
	CParameterFilter();
	virtual ~CParameterFilter();
	virtual void ForwardTransformation(double *parameters, int nParameters);
	virtual void BackwardTransformation(double *parameters, int nParameters);
	virtual double Operator(double operand) = 0;
	virtual double OperatorInverse(double operand) = 0;
};

#endif // !defined(AFX_PARAMETERFILTER_H__D1090E8B_3BE2_4921_8675_A20E94462AAC__INCLUDED_)
