// RK2TMover.h: interface for the CRK2TMover class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RK2TMOVER_H__EE149042_6D16_4809_A824_85938A13E2AF__INCLUDED_)
#define AFX_RK2TMOVER_H__EE149042_6D16_4809_A824_85938A13E2AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "RungeKuttaMover.h"

class CRK2TMover : public CRungeKuttaMover  
{
public:
	CRK2TMover();
	CRK2TMover(double frequency,double stepSize);
	virtual ~CRK2TMover();
	void RungeKuttaStep(int nRHS, double *y, double *dydt);
};

#endif // !defined(AFX_RK2TMOVER_H__EE149042_6D16_4809_A824_85938A13E2AF__INCLUDED_)
