// RK4Mover.h: interface for the CRK4Mover class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RK4MOVER_H__15C36C58_5786_42B4_A9D6_4AEA2150941D__INCLUDED_)
#define AFX_RK4MOVER_H__15C36C58_5786_42B4_A9D6_4AEA2150941D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DifferentialEquationMover.h"

class CRK4Mover : public CDifferentialEquationMover  
{
public:
	CRK4Mover();
	CRK4Mover(double frequency, double stepSize);
	virtual ~CRK4Mover();
	void Move(double xInitial, double xFinal, ReactionNetwork *pReactionNetwork);
	void FourthOrderStep(int nRHS, double *y, double *dydt);
};

#endif // !defined(AFX_RK4MOVER_H__15C36C58_5786_42B4_A9D6_4AEA2150941D__INCLUDED_)
