// ReactionMover.cpp: implementation of the CReactionMover class.
//
//////////////////////////////////////////////////////////////////////

#ifdef _WINDOWS
#include "stdafx.h"
#endif

#include "ReactionMover.h"
#include <fstream.h>
#include <iostream>


//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CReactionMover::CReactionMover()
{

}


CReactionMover::CReactionMover(int seed, double frequency)
{
	this->m_iSeed = seed;
	this->m_dFrequency = frequency;
}

CReactionMover::~CReactionMover()
{

}

bool CReactionMover::MoveTimeIsZero(double deltaTime)
{
	if(deltaTime == 0.0)
	{
		return true;
	}
	else
	{
		return false;
	}
}

void CReactionMover::ResetStepStatistics(double interval)
{
	this->SetMinStepSize(interval);
	this->SetMaxStepSize(0.0);
	this->m_iTotalStepsTaken = 0;
}
