// SquareRootParameterFilter.cpp: implementation of the CSquareRootParameterFilter class.
//
//////////////////////////////////////////////////////////////////////

#include "SquareRootParameterFilter.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CSquareRootParameterFilter::CSquareRootParameterFilter()
{

}

CSquareRootParameterFilter::~CSquareRootParameterFilter()
{

}

double CSquareRootParameterFilter::Operator(double operand)
{
	if(operand < 0.0)
	{
		throw std::runtime_error("ERROR: Square root of negative number");
	}
	else
	{
		return sqrt(operand);
	}
}

double CSquareRootParameterFilter::OperatorInverse(double operand)
{
	return operand*operand;
}