// UnaryDegradationReaction.h: interface for the UnaryDegradationReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_UNARYDEGRADATIONREACTION_H__3BB982A5_1F46_428A_9898_88069CCFF4DC__INCLUDED_)
#define AFX_UNARYDEGRADATIONREACTION_H__3BB982A5_1F46_428A_9898_88069CCFF4DC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Reaction.h"

class UnaryDegradationReaction : public Reaction  
{
public:
	UnaryDegradationReaction(Chemical *UnstableChemical, RateConstant *k_deg, std::string reactionName);
	virtual ~UnaryDegradationReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_deg;
	int UnstableChemical;
};

#endif // !defined(AFX_UNARYDEGRADATIONREACTION_H__3BB982A5_1F46_428A_9898_88069CCFF4DC__INCLUDED_)
