// ZeroTAnnealMinimizer.h: interface for the ZeroTAnnealMinimizer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ZEROTANNEALMINIMIZER_H__01BFD489_2688_11D4_8695_00A0C9B3BB18__INCLUDED_)
#define AFX_ZEROTANNEALMINIMIZER_H__01BFD489_2688_11D4_8695_00A0C9B3BB18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Minimizer.h"
#include "Rand.h"
#include <iostream>
#include <iomanip.h>

class ZeroTAnnealMinimizer : public Minimizer 
{
public:
	ZeroTAnnealMinimizer();
	ZeroTAnnealMinimizer(int seed, int nSteps);
	virtual ~ZeroTAnnealMinimizer();
	double Minimize(double *parameters, Minimizable *minimizable);
private:
	int seed;
	int nSteps;
};

#endif // !defined(AFX_ZEROTANNEALMINIMIZER_H__01BFD489_2688_11D4_8695_00A0C9B3BB18__INCLUDED_)
