#ifndef TYPEDEFS_H
#define TYPEDEFS_H

#include <vector>
#include "ReactionNetwork.h"
#include "ReactionMover.h"
#include "GnuPlotter.h"
#include "CellAverageObserver.h"
#include "Reaction.h"
#include "Chemical.h"
#include "RateConstant.h"
#include "DataPoint.h"

//using namespace std;

typedef std::vector<ReactionNetwork *> vpReactionNetwork;
typedef std::vector<CReactionMover *> vpReactionMover;
typedef std::vector<GnuPlotter *> vpGnuPlotter;
typedef std::vector<CellAverageObserver *> vpCellAverageObserver;
typedef std::vector<Reaction *> vpReaction;
typedef std::vector<Chemical *> vpChemical;
typedef std::vector<RateConstant *> vpRateConstant;
typedef DataPoint* pDataPoint;
typedef std::vector<pDataPoint> vpDataPoint;
typedef std::vector<vpDataPoint> vvpDataPoint;
typedef std::vector<int> intVector;
typedef std::vector<double> dblVector;

#endif // TYPEDEFS_H
