// AlternateOneGeneInhibitoryNetworkMinimizableDirector.h: interface for the CAlternateOneGeneInhibitoryNetworkMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ALTERNATEONEGENEINHIBITORYNETWORKMINIMIZABLEDIRECTOR_H__210107D1_169E_46B9_91B8_EA0430D18B49__INCLUDED_)
#define AFX_ALTERNATEONEGENEINHIBITORYNETWORKMINIMIZABLEDIRECTOR_H__210107D1_169E_46B9_91B8_EA0430D18B49__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src/NetworkMinimizableDirector.h"
#include "../src_temp/AlternateOneGeneInhibitoryNetwork.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "../src/QualityControlCashKarpMover.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src_temp/SynchronizedCashKarpMover.h"
#include "../src/Experiment.h"
#include "../src/typedefs.h"

class CAlternateOneGeneInhibitoryNetworkMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CAlternateOneGeneInhibitoryNetworkMinimizableDirector();
	virtual ~CAlternateOneGeneInhibitoryNetworkMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	// From pure virtual function in NetworkMinimizableDirector
	void DefineExperiments();
protected:
	vpGnuPlotter m_vpPlotterList;
};

#endif // !defined(AFX_ALTERNATEONEGENEINHIBITORYNETWORKMINIMIZABLEDIRECTOR_H__210107D1_169E_46B9_91B8_EA0430D18B49__INCLUDED_)
