// ChemicalSink.h: interface for the CChemicalSink class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHEMICALSINK_H__982BAF60_0C44_4EEA_9815_6273406B9388__INCLUDED_)
#define AFX_CHEMICALSINK_H__982BAF60_0C44_4EEA_9815_6273406B9388__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\Reaction.h"

class CChemicalSink : public Reaction  
{
public:
	CChemicalSink(Chemical *ChangedChemical, Chemical *SinkChemical, std::string reactionName);
	virtual ~CChemicalSink();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int ChangedChemical,SinkChemical;

};

#endif // !defined(AFX_CHEMICALSINK_H__982BAF60_0C44_4EEA_9815_6273406B9388__INCLUDED_)
