// ChemicalSource.h: interface for the CChemicalSource class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHEMICALSOURCE_H__24177F13_F1F9_4FF3_8548_88C55279C2E7__INCLUDED_)
#define AFX_CHEMICALSOURCE_H__24177F13_F1F9_4FF3_8548_88C55279C2E7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\Reaction.h"

class CChemicalSource : public Reaction  
{
public:
	CChemicalSource(Chemical *ChangedChemical, Chemical *SourceChemical, std::string reactionName);
	virtual ~CChemicalSource();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int ChangedChemical,SourceChemical;

};

#endif // !defined(AFX_CHEMICALSOURCE_H__24177F13_F1F9_4FF3_8548_88C55279C2E7__INCLUDED_)
