// CombinatorialRunDirector.h: interface for the CCombinatorialRunDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMBINATORIALRUNDIRECTOR_H__FDC42CA7_D495_4060_8177_330D2E68EA3C__INCLUDED_)
#define AFX_COMBINATORIALRUNDIRECTOR_H__FDC42CA7_D495_4060_8177_330D2E68EA3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src_temp/RunDirector.h"
#include "CombinatorialNetwork.h"
#include "../src/QualityControlRK2TMover.h"
#include "../src/ParameterReader.h"
#include "../src/QualityControlCashKarpMover.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "../src/ContinuousTimeMonteCarloMover.h"
#include "../src/QualityControlRK2TMover.h"

class CCombinatorialRunDirector : public CRunDirector 
{
public:
	CCombinatorialRunDirector();
	virtual ~CCombinatorialRunDirector();
private:
	void DefineRuns();

};

#endif // !defined(AFX_COMBINATORIALRUNDIRECTOR_H__FDC42CA7_D495_4060_8177_330D2E68EA3C__INCLUDED_)
