// ConstantSourceReaction.h: interface for the CConstantSourceReaction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONSTANTSOURCEREACTION_H__49786F16_3152_4BAF_9CA0_A97E026E1E60__INCLUDED_)
#define AFX_CONSTANTSOURCEREACTION_H__49786F16_3152_4BAF_9CA0_A97E026E1E60__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\Reaction.h"

class CConstantSourceReaction : public Reaction  
{
public:
	CConstantSourceReaction(Chemical *ChangedChemical, RateConstant *k_source, std::string reactionName);
	virtual ~CConstantSourceReaction();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_source;
	int ChangedChemical;
};

#endif // !defined(AFX_CONSTANTSOURCEREACTION_H__49786F16_3152_4BAF_9CA0_A97E026E1E60__INCLUDED_)
