// EGFRTraffickingIdealCellMinimizableDirector.h: interface for the CEGFRTraffickingIdealCellMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EGFRTRAFFICKINGIDEALCELLMINIMIZABLEDIRECTOR_H__7655695B_8A5C_438E_B63B_361010B918B2__INCLUDED_)
#define AFX_EGFRTRAFFICKINGIDEALCELLMINIMIZABLEDIRECTOR_H__7655695B_8A5C_438E_B63B_361010B918B2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\NetworkMinimizableDirector.h"
#include "../src/Experiment.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "EGFRTraffickingNetwork.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src/QualityControlCashKarpMover.h"

class CEGFRTraffickingIdealCellMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CEGFRTraffickingIdealCellMinimizableDirector();
	virtual ~CEGFRTraffickingIdealCellMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;

};

#endif // !defined(AFX_EGFRTRAFFICKINGIDEALCELLMINIMIZABLEDIRECTOR_H__7655695B_8A5C_438E_B63B_361010B918B2__INCLUDED_)
