// EGFRTraffickingMinimizableDirector.h: interface for the CEGFRTraffickingMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EGFRTRAFFICKINGMINIMIZABLEDIRECTOR_H__30CF4B9B_C36D_4849_B0D8_5924D415D05E__INCLUDED_)
#define AFX_EGFRTRAFFICKINGMINIMIZABLEDIRECTOR_H__30CF4B9B_C36D_4849_B0D8_5924D415D05E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src/NetworkMinimizableDirector.h"
#include "../src/Experiment.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "EGFRTraffickingNetwork.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src/QualityControlCashKarpMover.h"

class CEGFRTraffickingMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CEGFRTraffickingMinimizableDirector();
	virtual ~CEGFRTraffickingMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;
};

#endif // !defined(AFX_EGFRTRAFFICKINGMINIMIZABLEDIRECTOR_H__30CF4B9B_C36D_4849_B0D8_5924D415D05E__INCLUDED_)
