// EGFRTraffickingNetwork.h: interface for the CEGFRTraffickingNetwork class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EGFRTRAFFICKINGNETWORK_H__087F8F20_CCBC_40BE_86EB_71CEF1837A45__INCLUDED_)
#define AFX_EGFRTRAFFICKINGNETWORK_H__087F8F20_CCBC_40BE_86EB_71CEF1837A45__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\src\SumChemical.h"
#include "..\SRC\ReactionNetwork.h"
#include "..\src\ReceptorBindingReaction.h"
#include "..\src\ReceptorUnbindingReaction.h"
#include "..\src\TransformationReaction.h"
#include "..\src\ChemicalTransportReaction.h"
#include "..\src\UnstableProteinDegradationReaction.h"
#include "..\src\MichaelisMentenPhosphorylationReaction.h"
#include "..\src\MichaelisMentenDephosphorylationReaction.h"
#include "..\src\MichaelisMentenGProteinActivationReaction.h"
#include "..\src\MichaelisMentenGProteinDeactivationReaction.h"
#include "..\src\MichaelisMentenProteinProteinActivationReaction.h"
#include "..\src\MichaelisMentenProteinProteinDeactivationReaction.h"
#include "..\src\MichaelisMentenTransformationReaction.h"
#include "..\src\HeterodimerDissociationReaction.h"
#include "..\src_ac\PoolTransitionReaction.h"


class CEGFRTraffickingNetwork : public ReactionNetwork  
{
public:
	CEGFRTraffickingNetwork();
	virtual ~CEGFRTraffickingNetwork();

};

#endif // !defined(AFX_EGFRTRAFFICKINGNETWORK_H__087F8F20_CCBC_40BE_86EB_71CEF1837A45__INCLUDED_)
