// EGFRTraffickingRunDirector.h: interface for the CEGFRTraffickingRunDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EGFRTRAFFICKINGRUNDIRECTOR_H__F398A48A_A8BD_4B9F_B1E5_2CCACE608DB0__INCLUDED_)
#define AFX_EGFRTRAFFICKINGRUNDIRECTOR_H__F398A48A_A8BD_4B9F_B1E5_2CCACE608DB0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC_TEMP\RunDirector.h"
#include "..\src_ac\EGFRTraffickingNetwork.h"
#include "..\src_ac\EGFRTraffickingPredictionNetwork.h"
#include "..\src\QualityControlRK2TMover.h"
#include "..\src\ParameterReader.h"
#include "..\src\QualityControlCashKarpMover.h"
#include "..\src\QualityControlRungeKuttaMover.h"
#include "..\src_ac\StiffBulirschStoerMover.h"

class CEGFRTraffickingRunDirector : public CRunDirector  
{
public:
	CEGFRTraffickingRunDirector();
	virtual ~CEGFRTraffickingRunDirector();
private:
	void DefineRuns();
};

#endif // !defined(AFX_EGFRTRAFFICKINGRUNDIRECTOR_H__F398A48A_A8BD_4B9F_B1E5_2CCACE608DB0__INCLUDED_)
