// ErkSubnetwork.h: interface for the ErkSubnetwork class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ERKSUBNETWORK_H__24FE5B1C_EA38_11D3_807F_00A0C9B3BAEA__INCLUDED_)
#define AFX_ERKSUBNETWORK_H__24FE5B1C_EA38_11D3_807F_00A0C9B3BAEA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src/ReactionNetwork.h"
#include "../src/ReceptorBindingReaction.h"
#include "../src/ReceptorUnbindingReaction.h"
#include "../src/PromoterBindingReaction.h"
#include "../src/PromoterUnbindingReaction.h"
#include "../src/RNADegradationReaction.h"
#include "../src/MichaelisMentenGProteinActivationReaction.h"
#include "../src/MichaelisMentenGProteinDeactivationReaction.h"
#include "../src/MichaelisMentenProteinProteinActivationReaction.h"
#include "../src/MichaelisMentenProteinProteinDeactivationReaction.h"
#include "../src/MichaelisMentenPhosphorylationReaction.h"
#include "../src/MichaelisMentenDephosphorylationReaction.h"
#include "../src/ChemicalTransportReaction.h"
#include "../src/ProteinTranslationReaction.h"
#include "../src/UnstableProteinDegradationReaction.h"
#include "../src/TranscriptionReaction.h"

class ErkSubnetwork : public ReactionNetwork  
{
public:
	ErkSubnetwork();
	virtual ~ErkSubnetwork();

};

#endif // !defined(AFX_ERKSUBNETWORK_H__24FE5B1C_EA38_11D3_807F_00A0C9B3BAEA__INCLUDED_)
