// ForceVectorPoint.h: interface for the CForceVectorPoint class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORCEVECTORPOINT_H__DF4EECD7_5E1D_456D_AA07_ED1DCB26054B__INCLUDED_)
#define AFX_FORCEVECTORPOINT_H__DF4EECD7_5E1D_456D_AA07_ED1DCB26054B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CForceVectorPoint  
{
public:
	CForceVectorPoint(double time=0.0, double value=0.0, int chemNumber=0);
	virtual ~CForceVectorPoint();
	int GetChemNumber() {return m_iChemNumber;}
	double GetTime() {return m_dTime;}
	double GetValue() {return m_dValue;}
	void SetChemNumber(int chemNumber) {m_iChemNumber = chemNumber;}
	void SetTime(double time) {m_dTime = time;}
	void SetValue(double value) {m_dValue = value;}
	class CForceVectorPointComparator
	{
	public:
		CForceVectorPointComparator() {return;}
		virtual ~CForceVectorPointComparator() {return;}
		bool operator()(CForceVectorPoint *fp1, CForceVectorPoint *fp2)
		{
			return fp1->GetTime() < fp2->GetTime();
		}
	};
private:
	int m_iChemNumber;
	double m_dTime;
	double m_dValue;
};

#endif // !defined(AFX_FORCEVECTORPOINT_H__DF4EECD7_5E1D_456D_AA07_ED1DCB26054B__INCLUDED_)
