// ForestNitrogenCycleNetwork.h: interface for the CForestNitrogenCycleNetwork class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORESTNITROGENCYCLENETWORK_H__2CD04F92_FE18_476F_85B4_BC113B572D40__INCLUDED_)
#define AFX_FORESTNITROGENCYCLENETWORK_H__2CD04F92_FE18_476F_85B4_BC113B572D40__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\ReactionNetwork.h"
#include "..\src_ac\ChemicalSink.h"
#include "..\src_ac\ChemicalSource.h"
#include "..\src_ac\ConstantSinkReaction.h"
#include "..\src_ac\ConstantSourceReaction.h"
#include "..\src_ac\NormalizedLinearAmplifier.h"
#include "..\src_ac\NormalizedLinearAttenuator.h"
#include "..\src_ac\MDOChemical.h"

class CForestNitrogenCycleNetwork : public ReactionNetwork  
{
public:
	CForestNitrogenCycleNetwork();
	virtual ~CForestNitrogenCycleNetwork();
	virtual int GetNTermsPerLine() {return 3;}

};

#endif // !defined(AFX_FORESTNITROGENCYCLENETWORK_H__2CD04F92_FE18_476F_85B4_BC113B572D40__INCLUDED_)
