// ForestNitrogenCyclingMinimizableDirector.h: interface for the CForestNitrogenCyclingMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORESTNITROGENCYCLINGMINIMIZABLEDIRECTOR_H__B635FFF9_1AE2_4B0E_AA20_FCC58C105635__INCLUDED_)
#define AFX_FORESTNITROGENCYCLINGMINIMIZABLEDIRECTOR_H__B635FFF9_1AE2_4B0E_AA20_FCC58C105635__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\NetworkMinimizableDirector.h"
#include "../src/Experiment.h"
#include "../src/SubjectObserver.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "../src/QualityControlRK2TMover.h"
#include "../src/RK2ExplicitEulerHybridMover.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src/QualityControlCashKarpMover.h"
#include "../src_temp/SynchronizedCashKarpMover.h"
#include "../src_temp/SynchronizedRungeKuttaMover.h"
#include "../src_ac/ForestNitrogenCycleNetwork.h"

class CForestNitrogenCyclingMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CForestNitrogenCyclingMinimizableDirector();
	virtual ~CForestNitrogenCyclingMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	// From pure virtual 
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;

};

#endif // !defined(AFX_FORESTNITROGENCYCLINGMINIMIZABLEDIRECTOR_H__B635FFF9_1AE2_4B0E_AA20_FCC58C105635__INCLUDED_)
