// LaubLoomisDictyNetworkMinimizableDirector.h: interface for the CLaubLoomisDictyNetworkMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LAUBLOOMISDICTYNETWORKMINIMIZABLEDIRECTOR_H__E4981091_7B29_482F_9E43_922F9E9F659A__INCLUDED_)
#define AFX_LAUBLOOMISDICTYNETWORKMINIMIZABLEDIRECTOR_H__E4981091_7B29_482F_9E43_922F9E9F659A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\src\QualityControlCashKarpMover.h"
#include "..\src\GnuPlotterTimeSeriesObserver.h"
#include "..\SRC\NetworkMinimizableDirector.h"
#include "..\src_ac\LaubLoomisDictyNetwork.h"

class CLaubLoomisDictyNetworkMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CLaubLoomisDictyNetworkMinimizableDirector();
	virtual ~CLaubLoomisDictyNetworkMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	// From pure virtual function in NetworkMinimizableDirector
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;

};

#endif // !defined(AFX_LAUBLOOMISDICTYNETWORKMINIMIZABLEDIRECTOR_H__E4981091_7B29_482F_9E43_922F9E9F659A__INCLUDED_)
