// MDOChemical.h: interface for the CMDOChemical class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MDOCHEMICAL_H__FFF2ECFD_F2D8_4911_9B2D_7AC891A9BC17__INCLUDED_)
#define AFX_MDOCHEMICAL_H__FFF2ECFD_F2D8_4911_9B2D_7AC891A9BC17__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\AlgebraicChemical.h"

class CMDOChemical : public CAlgebraicChemical  
{
public:
	CMDOChemical(int chemicalNumber, std::string name, std::vector<Chemical *> chemRefVector, std::vector<RateConstant *> rateRefVector);
	virtual ~CMDOChemical();
protected:
	void ComputeAmount();
	void ComputeInitialAmount();
	void ComputeErrorInInitialAmount();
};

#endif // !defined(AFX_MDOCHEMICAL_H__FFF2ECFD_F2D8_4911_9B2D_7AC891A9BC17__INCLUDED_)
