// NormalizedLinearAttenuator.h: interface for the CNormalizedLinearAttenuator class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NORMALIZEDLINEARATTENUATOR_H__6A454821_1AA4_47C1_9392_93411CF00044__INCLUDED_)
#define AFX_NORMALIZEDLINEARATTENUATOR_H__6A454821_1AA4_47C1_9392_93411CF00044__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\Reaction.h"

class CNormalizedLinearAttenuator : public Reaction  
{
public:
	CNormalizedLinearAttenuator(Chemical *InputChemical, Chemical *OutputChemical, RateConstant *k_atten, std::string reactionName);
	virtual ~CNormalizedLinearAttenuator();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_atten;
	int InputChemical;
	int OutputChemical;

};

#endif // !defined(AFX_NORMALIZEDLINEARATTENUATOR_H__6A454821_1AA4_47C1_9392_93411CF00044__INCLUDED_)
