// OneGeneStochasticNetworkMinimizableDirector.h: interface for the COneGeneStochasticNetworkMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ONEGENESTOCHASTICNETWORKMINIMIZABLEDIRECTOR_H__AB19762B_4367_415B_B73D_D9952E45B158__INCLUDED_)
#define AFX_ONEGENESTOCHASTICNETWORKMINIMIZABLEDIRECTOR_H__AB19762B_4367_415B_B73D_D9952E45B158__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\NetworkMinimizableDirector.h"
#include "..\src\NetworkMinimizableDirector.h"
#include "..\src\OneGeneInhibitoryNetwork.h"
#include "..\src\GnuPlotterTimeSeriesObserver.h"
#include "..\src\ContinuousTimeMonteCarloMover.h"
#include "..\src\Experiment.h"
#include "..\src\typedefs.h"

class COneGeneStochasticNetworkMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	COneGeneStochasticNetworkMinimizableDirector();
	virtual ~COneGeneStochasticNetworkMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	void DefineExperiments();
protected:
	vpGnuPlotter m_vpPlotterList;
};

#endif // !defined(AFX_ONEGENESTOCHASTICNETWORKMINIMIZABLEDIRECTOR_H__AB19762B_4367_415B_B73D_D9952E45B158__INCLUDED_)
