// PC12AlternateMinimizableDirector.h: interface for the CPC12AlternateMinimizableDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PC12ALTERNATEMINIMIZABLEDIRECTOR_H__96CD5152_F1EA_436D_A8CD_B5B09AA2F767__INCLUDED_)
#define AFX_PC12ALTERNATEMINIMIZABLEDIRECTOR_H__96CD5152_F1EA_436D_A8CD_B5B09AA2F767__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src/NetworkMinimizableDirector.h"
#include "../src/Experiment.h"
#include "../src/SubjectObserver.h"
#include "../src/QualityControlRungeKuttaMover.h"
#include "../src/QualityControlRK2TMover.h"
#include "../src/RK2ExplicitEulerHybridMover.h"
#include "AlternateErkSubnetwork.h"
#include "../src/GnuPlotterTimeSeriesObserver.h"
#include "../src/QualityControlCashKarpMover.h"
#include "../src_temp/SynchronizedCashKarpMover.h"
#include "../src_temp/SynchronizedRungeKuttaMover.h"

class CPC12AlternateMinimizableDirector : public NetworkMinimizableDirector  
{
public:
	CPC12AlternateMinimizableDirector();
	virtual ~CPC12AlternateMinimizableDirector();
	double GetParameter(int parIndex);
	int GetNParameters();
private:
	// From pure virtual function in NetworkMinimizableDirector
	void DefineExperiments();
protected:
	std::vector<GnuPlotter *> _plotterList;
};

#endif // !defined(AFX_PC12ALTERNATEMINIMIZABLEDIRECTOR_H__96CD5152_F1EA_436D_A8CD_B5B09AA2F767__INCLUDED_)
