// ParameterRandomizer.h: interface for the CParameterRandomizer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARAMETERRANDOMIZER_H__B2EC67D2_2423_4268_BED4_A3619FF154B1__INCLUDED_)
#define AFX_PARAMETERRANDOMIZER_H__B2EC67D2_2423_4268_BED4_A3619FF154B1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../src/Rand.h"

class CParameterRandomizer  
{
public:
	CParameterRandomizer();
	CParameterRandomizer(int seed);
	void Randomize(double *parameters, int nParameters, double fraction, int nIterations);
	virtual ~CParameterRandomizer();
private:
	int m_iSeed;
	Rand *m_pRNG;

};

#endif // !defined(AFX_PARAMETERRANDOMIZER_H__B2EC67D2_2423_4268_BED4_A3619FF154B1__INCLUDED_)
