#pragma once
#include "c:\science\serialnetworkcode\src\reaction.h"

class CPoolTransitionReaction : public Reaction
{
public:
	CPoolTransitionReaction(Chemical *OldPoolForm, Chemical *NewPoolForm, RateConstant *k_t, RateConstant *K, std::string reactionName);
	virtual ~CPoolTransitionReaction(void);
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_t;
	int K;
	int OldPoolForm,NewPoolForm;
};