#pragma once
#include "../src/Minimizable.h"
#include "../src_temp/RunDirector.h"
#include "../src_ac/BinaryNetworkDataRelation.h"

class CSloppyDataMinimizableDirector : public Minimizable, public CRunDirector
{
public:
	CSloppyDataMinimizableDirector(void);
	virtual ~CSloppyDataMinimizableDirector(void);
	// should return the cardinality of the union of all runnable parameter sets
	virtual int GetNParameters() = 0;
	virtual double ObjectiveFunction(double *parameters);
protected:
	virtual void DefineRuns() = 0;
	virtual void ParseDataFile(std::string fileName);
	double m_dGammaSquared;
	std::vector<CBinaryNetworkDataRelation *> m_vpRelationList;
};
