// TrimerDissociation.h: interface for the TrimerDissociation class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRIMERDISSOCIATION_H__E8645683_10FA_4307_BB0D_748670551346__INCLUDED_)
#define AFX_TRIMERDISSOCIATION_H__E8645683_10FA_4307_BB0D_748670551346__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\Reaction.h"

class CTrimerDissociation : public Reaction  
{
public:
	CTrimerDissociation(Chemical *Trimer, Chemical *A, Chemical *B, Chemical *C, RateConstant *k_d, std::string reactionName);
	virtual ~CTrimerDissociation();
	double GetRate() const;
	std::vector<JElement *> *GetChemicalJacobian();
	void SetTeXForm();
protected:
	int k_d;
	int A,B,C,Trimer;


};

#endif // !defined(AFX_TRIMERDISSOCIATION_H__E8645683_10FA_4307_BB0D_748670551346__INCLUDED_)
