// XYPoint.h: interface for the CXYPoint class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XYPOINT_H__5B9481D9_A353_40FB_9B60_5D5AF6C84477__INCLUDED_)
#define AFX_XYPOINT_H__5B9481D9_A353_40FB_9B60_5D5AF6C84477__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CXYPoint  
{
public:
	CXYPoint(double x=0.0, double y=0.0);
	virtual ~CXYPoint();
	double GetX() {return m_dX;}
	double GetY() {return m_dY;}
	void SetX(double x) {m_dX = x;}
	void SetY(double y) {m_dY = y;}
	// allows sorting on X
	class CXComparator
	{
	public:
		CXComparator() {return;}
		virtual ~CXComparator() {return;}
		bool operator()(CXYPoint *p1, CXYPoint *p2)
		{
			return p1->GetX() < p2->GetX();
		}
	};
	// allows sorting on Y
	class CYComparator
	{
	public:
		CYComparator() {return;}
		virtual ~CYComparator() {return;}
		bool operator()(CXYPoint *p1, CXYPoint *p2)
		{
			return p1->GetY() < p2->GetY();
		}
	};
private:
	double m_dX;
	double m_dY;
};

#endif // !defined(AFX_XYPOINT_H__5B9481D9_A353_40FB_9B60_5D5AF6C84477__INCLUDED_)
