// XYVector.h: interface for the CXYVector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XYVECTOR_H__06A83D38_2E71_478A_A4B2_24AB0F2A8822__INCLUDED_)
#define AFX_XYVECTOR_H__06A83D38_2E71_478A_A4B2_24AB0F2A8822__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "XYPoint.h"
#include <algorithm>
#include <vector>


class CXYVector  
{
public:
	CXYVector();
	virtual ~CXYVector();
	void AddXYPoint(double x, double y);
	std::vector<CXYPoint *> *GetXYVector() {return &m_vpXYVector;}
	void SortOnX();
	void SortOnY();
	void SetXYPair(int n, double x, double y);
private:
	std::vector<CXYPoint *> m_vpXYVector;
};

#endif // !defined(AFX_XYVECTOR_H__06A83D38_2E71_478A_A4B2_24AB0F2A8822__INCLUDED_)
