// ClonalCommaES.h: interface for the CClonalCommaES class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLONALCOMMAES_H__1CB500E5_C1B5_48AE_884D_E01E67CEC45A__INCLUDED_)
#define AFX_CLONALCOMMAES_H__1CB500E5_C1B5_48AE_884D_E01E67CEC45A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC_TEMP\EvolutionStrategy.h"
#include <algorithm>

class CClonalCommaES : public CEvolutionStrategy  
{
public:
	CClonalCommaES(CParameterFilter *pFilter);
	CClonalCommaES(CParameterFilter *pFilter, double sigma, int lambda, int nGenerations, int seed);
	virtual ~CClonalCommaES();
	void InitializePopulation(double *parameters);
	void SelectParents();
	void Mutation(int whichOffspring);
	void Recombination(int whichOffspring);
	void Select();
private:
	double m_dTau;
	double m_dTauPrime;
	double m_dInitialSigma;
};

#endif // !defined(AFX_CLONALCOMMAES_H__1CB500E5_C1B5_48AE_884D_E01E67CEC45A__INCLUDED_)
