// GnuPlotterEnsembleDataDirectorObserver.h: interface for the GnuPlotterEnsembleDataDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GNUPLOTTERENSEMBLEDATADIRECTOROBSERVER_H__85C5FC71_2BBC_4617_ACB7_E6233345D339__INCLUDED_)
#define AFX_GNUPLOTTERENSEMBLEDATADIRECTOROBSERVER_H__85C5FC71_2BBC_4617_ACB7_E6233345D339__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\GnuPlotter.h"
#include "..\src_temp\EnsembleCombinationDirector.h"
#include "..\src\typedefs.h"

class CEnsembleCombinationDirector; // Both files refer to one another

class GnuPlotterEnsembleDataDirectorObserver : public GnuPlotter  
{
public:
	GnuPlotterEnsembleDataDirectorObserver();
	virtual ~GnuPlotterEnsembleDataDirectorObserver();
	void Update(Subject *theChangedSubject);
	void FixMinimizable(int whichMinimizable);
private:
	int m_iWhichMinimizable;
};

#endif // !defined(AFX_GNUPLOTTERENSEMBLEDATADIRECTOROBSERVER_H__85C5FC71_2BBC_4617_ACB7_E6233345D339__INCLUDED_)
