// GnuPlotterEnsembleRunDirectorObserver.h: interface for the GnuPlotterEnsembleRunDirectorObserver class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GNUPLOTTERENSEMBLERUNDIRECTOROBSERVER_H__A09E5ED6_1708_4200_A5B7_919649A32DE4__INCLUDED_)
#define AFX_GNUPLOTTERENSEMBLERUNDIRECTOROBSERVER_H__A09E5ED6_1708_4200_A5B7_919649A32DE4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\GnuPlotter.h"
#include "..\src_temp\EnsembleCombinationDirector.h"
#include "..\src\typedefs.h"

class CEnsembleCombinationDirector; // Both files refer to one another

class GnuPlotterEnsembleRunDirectorObserver : public GnuPlotter  
{
public:
	GnuPlotterEnsembleRunDirectorObserver();
	virtual ~GnuPlotterEnsembleRunDirectorObserver();
	void Update(Subject *theChangedSubject);
	void FixRunnable(int whichRunnable);
	void AddChemicalToList(int whichChemical);
private:
	// the runnable in an EnsembleDirector that this plotter is plotting
	// results for
	int m_iWhichRunnable;
	// list of chemicals to plot the results of
	intVector m_viWhichChemicals;
};

#endif // !defined(AFX_GNUPLOTTERENSEMBLERUNDIRECTOROBSERVER_H__A09E5ED6_1708_4200_A5B7_919649A32DE4__INCLUDED_)
