// GnuPlotterRunnableObserver.h: interface for the GnuPlotterRunnableObserver class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GNUPLOTTERRUNNABLEOBSERVER_H__0936565F_D3E2_424F_ABCF_93BF14D91299__INCLUDED_)
#define AFX_GNUPLOTTERRUNNABLEOBSERVER_H__0936565F_D3E2_424F_ABCF_93BF14D91299__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\GnuPlotter.h"
#include "..\src\typedefs.h"
#include "Runnable.h"

class GnuPlotterRunnableObserver : public GnuPlotter  
{
public:
	GnuPlotterRunnableObserver();
	virtual ~GnuPlotterRunnableObserver();
	void AddChemicalNumberToList(int chemNumber);
	void Update(Subject *theChangedSubject);
private:
	intVector m_viChemNumbers;
};

#endif // !defined(AFX_GNUPLOTTERRUNNABLEOBSERVER_H__0936565F_D3E2_424F_ABCF_93BF14D91299__INCLUDED_)
