// RunDirector.h: interface for the CRunDirector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RUNDIRECTOR_H__4509F335_E793_490D_803E_3CB2532EE746__INCLUDED_)
#define AFX_RUNDIRECTOR_H__4509F335_E793_490D_803E_3CB2532EE746__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Director.h"
#include "Runnable.h"
#include "GnuPlotterRunnableObserver.h"

class CRunDirector : public CDirector  
{
public:
	CRunDirector();
	virtual ~CRunDirector();
	virtual void Execute();
	CRunnable *GetRunnable(int index) {return m_vpRunnables[index];}
protected:
	std::vector<CRunnable *> m_vpRunnables;
	std::vector<GnuPlotterRunnableObserver *> m_vpGnuPlotters;
private:
	virtual void DefineRuns() = 0;
};

#endif // !defined(AFX_RUNDIRECTOR_H__4509F335_E793_490D_803E_3CB2532EE746__INCLUDED_)
