// SynchronizedCashKarpMover.h: interface for the CSynchronizedCashKarpMover class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SYNCHRONIZEDCASHKARPMOVER_H__852ACFC9_F95C_4CF1_B7C4_E536404B851E__INCLUDED_)
#define AFX_SYNCHRONIZEDCASHKARPMOVER_H__852ACFC9_F95C_4CF1_B7C4_E536404B851E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\SRC\QualityControlCashKarpMover.h"

class CSynchronizedCashKarpMover : public CQualityControlCashKarpMover  
{
public:
	CSynchronizedCashKarpMover(double frequency, double stepsize, double eps=1.0e-05);
	virtual ~CSynchronizedCashKarpMover();
	virtual void Move(double xInitial, double xFinal, ReactionNetwork *pReactionNetwork);
private:
	std::vector<double> m_vdSteps;
	bool m_bSyncFlag;
};

#endif // !defined(AFX_SYNCHRONIZEDCASHKARPMOVER_H__852ACFC9_F95C_4CF1_B7C4_E536404B851E__INCLUDED_)
